BizKitHub
DocsAPI ReferenceCurrency/bff/currency/shop-settings-update
postCurrencyAdmin BFF

/bff/currency/shop-settings-update

Save selling currency rate + rounding (BIZKIT-90)

CurrencypostBffCurrencyShop-settings-update

Parameters

JSON body

Request body

application/json
itemsobject[]Required
Each array item:
codestringRequired
ExampleEUR
fixedRatenumber | nullRequired
One of 2:
Variant 1
number
Range: 0–∞
Example25
Variant 2
null
roundingstringRequired
Example0.1

Response schema

1 status code documented

200Success
defaultCurrencystringRequired
ExampleCZK
itemsobject[]Required
Each array item:
codestringRequired
ExampleEUR
fixedRatenumber | nullRequired
One of 2:
Variant 1
number

Units of default currency per 1 unit of code. Null = live daily rate.

Example25
Variant 2
null
roundingstringRequired

Rounding step of converted prices incl. VAT.

Example0.1
liveRatenumber | nullRequired
One of 2:
Variant 1
number
Example24.31
Variant 2
null
liveRateDatestring | nullRequired
One of 2:
Variant 1
string
Example2026-11-10
Variant 2
null

Response example

application/json
{
  "defaultCurrency": "CZK",
  "items": [
    {
      "code": "EUR",
      "rounding": "0.1"
    }
  ]
}

Request example

POST /bff/currency/shop-settings-update

post
curl -X POST "https://api.bizkithub.com/bff/currency/shop-settings-update" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "items": [
    {
      "code": "EUR",
      "rounding": "0.1"
    }
  ]
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key